Check Connectivity
curl --request POST \
--url https://api.explorium.ai/v2/webhooks/{webhook_id}/check_connectivity \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"simulation": {
"number_of_events": 5,
"event_time": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.explorium.ai/v2/webhooks/{webhook_id}/check_connectivity"
payload = { "simulation": {
"number_of_events": 5,
"event_time": "2023-11-07T05:31:56Z"
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({simulation: {number_of_events: 5, event_time: '2023-11-07T05:31:56Z'}})
};
fetch('https://api.explorium.ai/v2/webhooks/{webhook_id}/check_connectivity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_context": {
"correlation_id": "<string>",
"request_status": "success",
"time_took_in_seconds": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Check webhook connectivity
POST
/
v2
/
webhooks
/
{webhook_id}
/
check_connectivity
Check Connectivity
Sends a test event to this webhook and returns the outcome. Add the optional
simulation block (event_name, number_of_events, event_time) to push realistic mock events — see the webhooks guide.Authorizations
APIKeyHeaderAPIKeyHeader
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
This is base response model for all responses in partner service.
Show child attributes
Show child attributes
Was this page helpful?
⌘I